> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a custom group



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json put /v1/group
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/group:
    put:
      tags:
        - Group
      summary: Create a custom group
      operationId: GroupController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGroupDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupDto'
        '409':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    CreateGroupDto:
      type: object
      properties:
        name:
          type: string
          description: Display name for the group
        entityType:
          type: string
          enum:
            - user
            - endpoint
            - any
          description: Which asset type this group accepts (immutable after creation)
        description:
          type: string
          description: Optional description for the group
        color:
          type: string
          enum:
            - gray
            - red
            - orange
            - amber
            - green
            - teal
            - blue
            - indigo
            - purple
            - pink
          description: Group color
        chatOpsEnabled:
          type: boolean
          description: Whether chat ops is enabled for this group
        containmentEnabled:
          type: boolean
          description: Whether containment is enabled for this group
        sourceSystemUpdates:
          type: boolean
          description: >-
            When false, outbound updates to the source security product are
            skipped for detections linked to assets in this group
        alwaysNotify:
          type: boolean
          description: >-
            When true, detections involving assets in this group are always
            escalated for notification, even when the verdict rule would resolve
            or only run chat ops
      required:
        - name
        - entityType
    GroupDto:
      type: object
      properties:
        id:
          type: string
        teamId:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        slug:
          type: string
        isSystem:
          type: boolean
        entityType:
          type: string
          enum:
            - user
            - endpoint
            - any
        color:
          type: string
          nullable: true
          enum:
            - gray
            - red
            - orange
            - amber
            - green
            - teal
            - blue
            - indigo
            - purple
            - pink
        chatOpsEnabled:
          type: boolean
        containmentEnabled:
          type: boolean
        sourceSystemUpdates:
          type: boolean
          description: >-
            When false, outbound updates to the source security product are
            skipped for detections linked to assets in this group
        alwaysNotify:
          type: boolean
          description: >-
            When true, detections involving assets in this group are always
            escalated for notification, even when the verdict rule would resolve
            or only run chat ops
        createdAt:
          type: string
      required:
        - id
        - teamId
        - name
        - slug
        - isSystem
        - entityType
        - chatOpsEnabled
        - containmentEnabled
        - sourceSystemUpdates
        - alwaysNotify
        - createdAt
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````